apiVersion: v1
kind: Template
labels:
  app: kiwiirc
  template: kiwiirc-buildconfig-with-secret
metadata:
  annotations:
    description: Kiwi IRC - BuildConfig with Secret
    iconClass: icon-openshift
    openshift.io/display-name: Kiwi IRC
    tags: kiwiirc
  name: kiwiirc-buildconfig-with-secret
objects:
- apiVersion: v1
  kind: Secret
  metadata:
    annotations:
      template.openshift.io/expose-username: "{.data['username']}"
    name: git-kiwiirc-${KIWIIRC_REPOSITORY_REF}
  stringData:
    username: "${GIT_DEPLOYMENT_TOKEN}"
- apiVersion: v1
  kind: BuildConfig
  metadata:
    annotations:
      description: Builds Kiwi IRC images
    labels:
      name: kiwiirc-${KIWIIRC_REPOSITORY_REF}
    name: kiwiirc-${KIWIIRC_REPOSITORY_REF}
  spec:
    failedBuildsHistoryLimit: 1
    resources:
      limits:
        cpu: 200m
        memory: 512Mi
    source:
      contextDir: /
      git:
        uri: ${KIWIIRC_REPOSITORY_URL}
        ref: "${KIWIIRC_REPOSITORY_REF}"
      sourceSecret:
        name: git-kiwiirc-${KIWIIRC_REPOSITORY_REF}
      type: Git
    strategy:
      type: Docker
      dockerStrategy:
        env:
        - name: DO_UPGRADE
          value: foo
        forcePull: false
        from:
          kind: ImageStreamTag
          name: ${APACHE_IMAGESTREAM_TAG}
    output:
      to:
        kind: ImageStreamTag
        name: kiwiirc:${KIWIIRC_REPOSITORY_REF}
    triggers:
    - type: ImageChange
    - type: ConfigChange
parameters:
- name: APACHE_IMAGESTREAM_TAG
  description: Set this to Apache ImageStream tag serving as base for PHP BuildConfig
  displayName: Apache ImageStream Tag
  required: true
  value: apache:master
- name: GIT_DEPLOYMENT_TOKEN
  description: Git deployment token
  displayName: Git Deployment Token
  required: true
- name: KIWIIRC_REPOSITORY_REF
  description: Set this to a branch name, tag or other ref of your repository if you are not using the default branch
  displayName: Git Reference
  required: true
  value: master
- name: KIWIIRC_REPOSITORY_URL
  description: The URL of the repository with your Kiwi IRC Dockerfile
  displayName: Git Repository URL
  required: true
  value: https://gitlab.com/synacksynack/opsperator/docker-kiwiirc.git
